Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003999TestLinkUser Interface Generalpublic2010-11-10 16:152011-01-22 15:12
Reporterphidotnet 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformFirefox 3.6.12OSWindowsOS VersionVista
Product Version1.9 QA 20101107 
Fixed in Version1.9.1 (bug fixing) 
Summary0003999: Test Project list does not refresh after deleted
DescriptionTest Project list is not refreshed after non-selected project is deleted
Steps To Reproduce1) Create 2 projects A, B
2) Select project A in the Test Project list
3) Delete Project B

Actual result:
Project B is still showed in Test Project list

Expected result:
The list is refreshed and Project B is deleted from the list.
Additional InformationIf user selects the deleted project from the Test Project list, the header band becomes empty.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 3.6.12
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Test Project list not refresh.png [^] (33,572 bytes) 2010-11-10 16:15


png file icon Test Project deleted item selected.png [^] (25,889 bytes) 2010-11-10 16:15


gz file icon patch-3999.tar.gz [^] (4,221 bytes) 2010-12-07 02:19

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012870)
perrym5 (reporter)
2010-12-07 02:20

I have attached a patch for this bug. This turned out to be a simple one line fix. Seems as though the projectEdit.php script was only telling the page to reload the header if the currently selected project was the one being deleted. Should be working as expected now.
(0012877)
fman (administrator)
2010-12-07 09:01

have you tried with 1.9.0 ?
(0012889)
perrym5 (reporter)
2010-12-07 14:16

This patch was written for 1.9.0.
(0012890)
fman (administrator)
2010-12-07 16:45

Why product version is not 1.9 (Prague) ?
(0012895)
perrym5 (reporter)
2010-12-07 17:02

I am not sure, I did not write this ticket. All I did was write a fix for it. I was able to reproduce this bug in the current release version (1.9.0) and this fix was written for 1.9.0
(0012896)
fman (administrator)
2010-12-07 17:28

Ok,thanks
(0013403)
fman (administrator)
2011-01-22 15:12

1.9.1. released

- Issue History
Date Modified Username Field Change
2010-11-10 16:15 phidotnet New Issue
2010-11-10 16:15 phidotnet File Added: Test Project list not refresh.png
2010-11-10 16:15 phidotnet File Added: Test Project deleted item selected.png
2010-12-07 02:19 perrym5 File Added: patch-3999.tar.gz
2010-12-07 02:20 perrym5 Note Added: 0012870
2010-12-07 09:01 fman Note Added: 0012877
2010-12-07 09:02 fman Assigned To => fman
2010-12-07 09:02 fman Status new => feedback
2010-12-07 14:16 perrym5 Note Added: 0012889
2010-12-07 16:45 fman Note Added: 0012890
2010-12-07 17:02 perrym5 Note Added: 0012895
2010-12-07 17:28 fman Note Added: 0012896
2010-12-07 17:32 fman Status feedback => resolved
2010-12-07 17:32 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-07 17:32 fman Resolution open => fixed
2010-12-07 17:36 fman Relationship added child of 0004039
2011-01-22 15:12 fman Note Added: 0013403
2011-01-22 15:12 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker